//Copyright (C)2014-2023 GOWIN Semiconductor Corporation.
//All rights reserved.
//File Title: Timing Constraints file
//GOWIN Version: 1.9.8.11 
//Created Time: 2023-02-07 13:54:58
create_clock -name LCD_DCLK_d -period 30 -waveform {0 15} [get_nets {LCD_DCLK_d}]
create_clock -name I_clk -period 20 -waveform {0 10} [get_ports {I_clk}]
create_clock -name csi_clk -period 6.25 -waveform {0 3.125} [get_nets {csi_clk}]
create_clock -name I_CSI_CKP -period 3.125 -waveform {0 1.562} [get_ports {I_CSI_CKP}]
create_clock -name dma_clk -period 13.333 -waveform {0 6.667} [get_nets {dma_clk}]
create_clock -name ddr3_clk -period 3.333 -waveform {0 1.667} [get_nets {ddr3_clk}]
create_clock -name byte_clk -period 12.5 -waveform {0 6.25} [get_nets {CSI2RAW8_inst/byte_clk}]
create_clock -name ddr_rst -period 10 -waveform {0 5} [get_nets {DDR3_Memory_Interface_Top_inst/gw3_top/ddr_rst}] -add
set_clock_groups -exclusive -group [get_clocks {I_clk}] -group [get_clocks {I_CSI_CKP}] -group [get_clocks {LCD_DCLK_d}] -group [get_clocks {ddr3_clk}] -group [get_clocks {byte_clk}] -group [get_clocks {csi_clk}] -group [get_clocks {dma_clk}]
set_clock_groups -exclusive -group [get_clocks {dma_clk}] -group [get_clocks {ddr_rst}]
set_false_path -from [get_clocks {csi_clk}] 
set_false_path -from [get_clocks {I_CSI_CKP}] 
set_false_path -from [get_clocks {ddr_rst}] -to [get_clocks {ddr3_clk}] 
