//Copyright (C)2014-2020 Gowin Semiconductor Corporation.
//All rights reserved.
//File Title: Template file for instantiation
//GOWIN Version: GowinSynthesis V1.9.7Beta
//Part Number: GW2A-LV55PG484C8/I7
//Device: GW2A-55C
//Created Time: Fri Nov 06 16:41:09 2020

//Change the instance name and port connections to the signal names
//--------Copy here to design--------

	MIPI_RX_Advance_Top your_instance_name(
		.reset_n(reset_n_i), //input reset_n
		.HS_CLK_P(HS_CLK_P_i), //input HS_CLK_P
		.HS_CLK_N(HS_CLK_N_i), //input HS_CLK_N
		.clk_byte_out(clk_byte_out_o), //output clk_byte_out
		.HS_DATA1_P(HS_DATA1_P_i), //input HS_DATA1_P
		.HS_DATA1_N(HS_DATA1_N_i), //input HS_DATA1_N
		.data_out1(data_out1_o), //output [7:0] data_out1
		.HS_DATA0_P(HS_DATA0_P_i), //input HS_DATA0_P
		.HS_DATA0_N(HS_DATA0_N_i), //input HS_DATA0_N
		.data_out0(data_out0_o), //output [7:0] data_out0
		.LP_CLK(LP_CLK_io), //inout [1:0] LP_CLK
		.lp_clk_out(lp_clk_out_o), //output [1:0] lp_clk_out
		.lp_clk_in(lp_clk_in_i), //input [1:0] lp_clk_in
		.lp_clk_dir(lp_clk_dir_i), //input lp_clk_dir
		.LP_DATA1(LP_DATA1_io), //inout [1:0] LP_DATA1
		.lp_data1_out(lp_data1_out_o), //output [1:0] lp_data1_out
		.lp_data1_in(lp_data1_in_i), //input [1:0] lp_data1_in
		.lp_data1_dir(lp_data1_dir_i), //input lp_data1_dir
		.LP_DATA0(LP_DATA0_io), //inout [1:0] LP_DATA0
		.lp_data0_out(lp_data0_out_o), //output [1:0] lp_data0_out
		.lp_data0_in(lp_data0_in_i), //input [1:0] lp_data0_in
		.lp_data0_dir(lp_data0_dir_i), //input lp_data0_dir
		.hs_en(hs_en_i), //input hs_en
		.term_en(term_en_i), //input term_en
		.ready(ready_o) //output ready
	);

//--------Copy end-------------------
