/*
 ******************************************************************************************
 *
 * 	Copyright (C) 2014-2021 Gowin Semiconductor Technology Co.,Ltd.
 * 		
 * @file		main.h
 * @author		HK Gowin
 * @version		V1.0.0
 * @date		2021-01-01 09:00:00
 * @brief		Gowin ISP MCU Demo
 *
 ******************************************************************************************
 */

#ifndef MAIN_H
#define MAIN_H

/* Includes ---------------------------------------------------------*/
#include "GOWIN_M1.h"
#include "gw_ahb.h"
#include "gw_isp.h"
#include "gw_isp_param.h"


/* -------------------------- Defination ---------------------------- */
#define CMD_STR_LEN_MAX			1024

static uint8_t cmd_str[CMD_STR_LEN_MAX];

/* -------------------------- Function---------------------------- */
static void UartInit(void);
static void GPIOInit(void);






#endif
